<%@ page language="java" contentType="text/html; charset=ISO-8859-1"
    pageEncoding="ISO-8859-1"%>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<%@page import="educacion.UsuarioBean"%>
<%@page import="educacion.EvaluacionBean"%>
<html>
<head>
<link href="estilo.css" title="hoja de estilo" rel="stylesheet" type="text/css">  
<meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-1">
<title>Usuarios registrados</title>
<style type="text/css">
/* aņadido por mi para los submenus*/
#menu{
	text-align:left;
	margin-left:5px;
	width:100px;
	position:absolute;
}

#menu1{
	width: 100px;
	position:absolute;
	top:6px;
	left:90px;
	visibitily:hidden;
}	
#menu2{
	width: 100px;
	position:absolute;
	top:240px;
	left:90px;
	visibitily:hidden;
}	
</style>
<script type="text/javascript">
	function oculta(kpa1, kpa2){
		document.getElementById(kpa1).style.visibility="hidden";
		document.getElementById(kpa2).style.visibility="hidden";	
	}
	function muestra(kpa){
		document.getElementById(kpa).style.visibility="visible";
	}
</script>
</head>

<body onload="oculta('menu1','menu2');">
<!-- Begin Wrapper -->
   <div id="wrapper">

   
         <!-- Begin Header -->
         <div id="header">
		 
		       <h1>MODELOS INSTRUCCIONALES Y T&Eacute;CNICAS DE ENSE&Ntilde;ANZA </h1>
			   
		 </div>
		 <!-- End Header -->
		 
		 <!-- Begin Left Column -->
		 		 <div id="leftcolumn">
                      <h2>Menu</h2>
			<div class="leftnav">
				<div id="menu">
				<ul>
					<li><a href="#" onmouseover="muestra('menu1');">Area de usuario</a></li>
					<div id="menu1">
						<ul>
						<li><a href="Login.jsp" >Identificate</a></li>
						<li><a href="fichaAlumno.jsp">Ficha personal</a></li>
						<li><a href="salir.jsp">Salir</a></li>
						</ul>
					</div>
					<li><a href="teorias.jsp" onmouseover="oculta('menu1','menu2');">Teorias instruccionales</a></li>
					<li><a href="estrategias.jsp" onmouseover="oculta('menu1','menu2');">Estrategias</a></li>
					<li><a href="evaluacion.jsp" onmouseover="oculta('menu1','menu2');">Evaluaci&oacute;n</a></li>
					<li><a href="http://my-forum.org/foros.php?id=110052" target=_blank onmouseover="oculta('menu1','menu2');">Foro</a></li>
					<li><a href="buscador.jsp" onmouseover="oculta('menu1','menu2');">Glosario de t&eacute;rminos</a></li>
					<li><a href="listarArchivos.jsp" onmouseover="oculta('menu1','menu2');">Descarga de archivos</a></li>
					<li><a href="principal.jsp" onmouseover="oculta('menu1','menu2');">Inicio</a></li>
					<li><a href="#" onmouseover="muestra('menu2');">Area profesorado</a></li>
					<div id="menu2">
						<ul>
						<li><a href="registro.jsp">Registro de usuarios</a></li>
						<li><a href="subir.jsp">Subir/bajar documentaci&oacute;n</a></li>
						<li><a href="listar.jsp">Dar de baja a usuarios</a></li>
						<li><a href="usuariosRegistrados.jsp">Ver fichas de los usuarios</a></li>
						</ul>
					</div>	
					
				</ul>
				</div>
			</div>

		 
		 </div>		 <!-- End Left Column -->
		 
		 <!-- Begin Right Column -->
		 <div id="rightcolumn">
		       
	
<div class="righttext">
	
                    <img src="images/pollo.gif" class="floatTL" alt="img 1" />

<p>
<% 	
	//Comprobamos que algun usuario ha iniciado sesion y que es profesor para poder tener acceso

	if(session.getAttribute("usuario") != null) 
	{
		UsuarioBean u= (UsuarioBean)session.getAttribute("usuario");
		EvaluacionBean e=new EvaluacionBean();
		int tipo = u.getTipo();	
		if(tipo == 1){			
%> 
<br><br>
Usuarios registrados en la p&aacute;gina: <br><br>

<%
  	int numeroUsuarios=u.numeroUsuarios();
	int i=0;
	
	String[] usuarios=u.listarUsuarios();	
		
	//listamos los usuarios que estan registrados
	
	while(i!=numeroUsuarios*3){			
		out.println("<table border=1 algin=\"center\">");
		out.println("<tr>");
		out.println("<th>Identificador de usuario </th>");
		String idUsuario=usuarios[i];
		out.println("<td>"+idUsuario+"</td>");
		out.println("</tr>");
		i++;
		out.println("<tr>");
		out.println("<th>Nombre de usuario </th>");		
		out.println("<td>"+usuarios[i]+"</td>");
		out.println("</tr>");
		i++;
		out.println("<tr>");
		out.println("<th>Tipo de usuario </th>");
		out.println("<td>"+usuarios[i]+"</td>");
		out.println("</tr>");
		i++;
		out.println("<tr><th colspan=2>EVALUACIONES REALIZADAS</th></tr>");
		//si este usuario tiene resultados:
		int numeroIdsResultados=e.getNumeroResultados(idUsuario);
		if(numeroIdsResultados!=0){
			int idsResultados[] = e.getIdsResultados(idUsuario);
			int j=0;		
			while(j!=numeroIdsResultados){
				int idEvaluacion=e.getIdEvaluacionUsuario(idsResultados[j], idUsuario);
				String nombreEvaluacion=e.getNombreEvaluacion(idEvaluacion);
				int puntuacion=e.getPuntuacion(idEvaluacion, idUsuario);
				int intentos=e.getIntentos(idEvaluacion, idUsuario);
				out.println("<tr>");
				out.println("<th>Nombre de la evaluacion</th>");
				out.println("<td>"+nombreEvaluacion+"</td>");
				out.println("</tr>");
				out.println("<tr>");
				out.println("<th>Puntuacion obtenida</th>");
				out.println("<td>"+puntuacion+"</td>");
				out.println("</tr>");
				out.println("<tr>");
				out.println("<th>Numero de intentos</th>");
				out.println("<td>"+intentos+"</td>");
				out.println("</tr>");
				j++;
			}
		}
		out.println("</table><br><br>");
	}
 }else{
	out.println("No tiene permisos para acceder");
	}
}else{
	out.println("No tiene permisos para acceder a esta pagina vaya primero a la pagina de <a href=\"Login.jsp\">login</a>.");
}
%></p>
</div></div></div>
</body>
</html>